/*
	Ninja Library
	
	COPYRIGHT (C) SEGA ENTERPRISES,LTD.

*/
#ifndef _NINJA_DIRECT_H_
#define _NINJA_DIRECT_H_

typedef struct {
	Float		x,y,z;
	Float		r;
	void		*next;
	Uint32		nOP,nTR;
	Uint32		mode;					/* 0:normal 1:D8				*/
} NJS_DIRECT_HEAD;

typedef struct {
	Float	x,y,z;
	Float	inten,ambient;
	Float	r,g,b;
} NJS_DIRECT_COMPILE_LIGHT;


void	*njCnkDirectObjectCompile( NJS_CNK_OBJECT *obj, void *ptr );
void	*njCnkDirectObjectCompileLight( NJS_CNK_OBJECT *obj, void *ptr, NJS_DIRECT_COMPILE_LIGHT *l );
Uint32	njCnkDirectObjectCompileSize( NJS_CNK_OBJECT *obj );
Uint32	njCnkDirectObjectCompileLightSize( NJS_CNK_OBJECT *obj );
void	njCnkDirectCompileTransformSwitch( Sint32 sw );

void	njDirectDrawObject( NJS_DIRECT_HEAD *model );

void	njSetDirectLight( Float x,Float y,Float z );
void	njSetDirectLightIntensity( Float inten, Float ambient );
void	njSetDirectLightColor( Float r, Float g, Float b );

void	njSetDirectClip(void);



#endif /* _NINJA_DIRECT_H_ */

/*
 * End Of File
 */
